@echo off
set DIRNAME=.\
if "%OS%" == "Windows_NT" set DIRNAME=%~dp0%

if not "%JAVA_HOME%" == "" goto ADD_TOOLS

set JAVA=java

echo ERROR: JAVA_HOME was not setted.
goto SKIP_TOOLS

:ADD_TOOLS
set JAVA=%JAVA_HOME%\bin\java

if exist "%JAVA_HOME%\lib\tools.jar" goto SKIP_TOOLS
echo ERROR: JAVA_HOME directory is wrong.

:SKIP_TOOLS


set "CURRENT_DIR=%cd%"
set "HOME=%cd%"
if exist "%CURRENT_DIR%/migration.bat"   goto OK_HOME

:SET_HOME
set "CURRENT_DIR=%CURRENT_DIR%"
:OK_HOME
set "HOME=%CURRENT_DIR%"

set TW_OPTS=-Dhome="%HOME%"

rem set JAVA_OPTS=-Xmx1024m -XX:MaxPermSize=512m
set JAVA_OPTS=%JAVA_OPTS% -XX:+UnlockDiagnosticVMOptions
set JAVA_OPTS=%JAVA_OPTS% -XX:+LogVMOutput
set JAVA_OPTS=%JAVA_OPTS% -Dtools.base="%CURRENT_DIR%"
set JAVA_OPTS=%JAVA_OPTS% -agentlib:jdwp=transport=dt_socket,server=y,suspend=n,address=8002
set JAVA_OPTS=%JAVA_OPTS% -XX:LogFile="%CURRENT_DIR%/logs/migration/jvm_analysis.log"
set "JDK_JAVA_OPTIONS=%JDK_JAVA_OPTIONS% --add-opens java.base/java.lang=ALL-UNNAMED"
set "JDK_JAVA_OPTIONS=%JDK_JAVA_OPTIONS% --add-opens java.base/sun.net.util=ALL-UNNAMED"
set "JDK_JAVA_OPTIONS=%JDK_JAVA_OPTIONS% --add-opens java.base/java.util=ALL-UNNAMED"
set "JDK_JAVA_OPTIONS=%JDK_JAVA_OPTIONS% --add-opens java.base/java.lang.reflect=ALL-UNNAMED"


rem todo here
set CLASSPATH="%HOME%\TW-toolkit.jar;%HOME%/lib/bootstrap.jar;%HOME%/lib/tongweb.jar"
set CLASSPATH="%CLASSPATH%;%HOME%/lib/jdk-api.jar;%HOME%/lib/jdk-impl.jar;%HOME%/lib/activation-api.jar"

rem parse arguments
set ACTION=start
:LOOP

rem if "%1"=="" goto ERROR
rem if not "%2"=="" goto WARNING
goto OK

rem :ERROR
rem echo ERROR : at least one argument for migration.bat
rem goto NOTE
rem 
rem :WARNING
rem echo ERROR : error argument
rem goto NOTE

:OK

rem "%JAVA%" %JAVA_OPTS% %TW_OPTS% -classpath %CLASSPATH% com.tongweb.migration.TongWebStarter %1
"%JAVA%" %JAVA_OPTS% %TW_OPTS% -classpath %CLASSPATH% com.tongweb.migration.MigrationToolStarter %1
goto END

rem :NOTE
rem echo permitting argument as follow : 
rem echo     1      tomcat6 to tongweb7
rem echo     2      tomcat7 to tongweb7
rem echo     3      tomcat8 to tongweb7
rem goto END_NO_PAUSE

:END

set JAVA_OPTS=
if "%NOPAUSE%" == "" pause

rem :END_NO_PAUSE
